Page MenuHomePhabricator

"Clicking the image closes the download menu" browser test failing on IE
Closed, ResolvedPublic2 Estimated Story Points

Description

Could be a genuine bug.

Event Timeline

Gilles created this task.Feb 10 2015, 8:02 AM
Gilles claimed this task.
Gilles raised the priority of this task from to Medium.
Gilles updated the task description. (Show Details)
Gilles added a project: MediaViewer.
Gilles added a subscriber: Gilles.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 10 2015, 8:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gilles moved this task from Untriaged to Next up on the Multimedia board.Feb 11 2015, 1:05 PM
gerritbot added a subscriber: gerritbot.

Change 190032 had a related patch set uploaded (by Gilles):
Wait for the download menu to appear before closing it

https://gerrit.wikimedia.org/r/190032

Patch-For-Review

Gilles moved this task from Next up to Needs code review on the Multimedia board.Feb 11 2015, 7:29 PM

Change 190032 merged by jenkins-bot:
Wait for the download menu to appear before closing it

https://gerrit.wikimedia.org/r/190032

This wasn't sufficient, the issue turns out to be that in IE the test will have the image click land on the download dialog, which means it won't close. Clicking in the top-left corner instead fixes the test.

Change 190430 had a related patch set uploaded (by Gilles):
Click in the top-left corner of the image when trying to close the download dialog

https://gerrit.wikimedia.org/r/190430

Patch-For-Review

Change 190430 merged by jenkins-bot:
Click in the top-left corner of the image when trying to close the download dialog

https://gerrit.wikimedia.org/r/190430

Sadly it seems like Safari's web driver doesn't support the mouse move command: https://integration.wikimedia.org/ci/job/browsertests-MultimediaViewer-en.wikipedia.beta.wmflabs.org-os_x_10.9-safari-sauce/471/testReport/junit/%28root%29/Download%20menu/Clicking_the_image_closes_the_download_menu/

I guess I'll check if the function exists and use the old general click if it's not there.

Gilles set Security to None.
Gilles moved this task from Ready for testing to Next up on the Multimedia board.Feb 16 2015, 1:33 PM

Change 190811 had a related patch set uploaded (by Gilles):
Workaround for Safari web driver

https://gerrit.wikimedia.org/r/190811

Patch-For-Review

Gilles moved this task from Next up to Needs code review on the Multimedia board.Feb 16 2015, 3:38 PM
Gilles edited a custom field.Feb 18 2015, 10:23 AM

Change 190811 merged by jenkins-bot:
Workaround for Safari web driver

https://gerrit.wikimedia.org/r/190811

Gilles closed this task as Resolved.Mar 2 2015, 8:49 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 22 2015, 7:19 AM